  

.miam-list-input {
  padding: 8px;

  .miam-list-input__list {
    
    position: relative;
    margin-top: 50px;

    .miam-list-input__list__label{
      position: absolute;
      left: 0;
      top:-33px;
      width: 200px;
      padding: 8px 24px;
      border-radius: 8px 8px 0px 0px;
      background-color: var(--m-color-secondary-light);
      color: var(--m-color-secondary);
      font-weight: bold;
      z-index: 0;
    }

    .miam-list-input__container{ 
      height: 400px;
      width: 560px;
      z-index: 1;
      position: inherit;
      display: flex;
      flex-direction: column;
      overflow-y: auto;
      overflow-x: hidden;
      margin-bottom: 32px;

      &::-webkit-scrollbar-button {
        height: 20px;
      }
    
      &::-webkit-scrollbar-track {
        background: var(--m-color-grey);
      }
    
      &::-webkit-scrollbar {
        cursor: -webkit-grab;
        height: 7px;
        width: 5px;
      }
      &::-webkit-scrollbar-thumb {
        background: var(--m-color-primary);
        border-radius: 5px;
      }
    }

    ul{
    display: flex;
    justify-content: flex-start;
    row-gap: 8px;

      li {
        list-style: none;
        display: flex;
        align-items: center;
        column-gap: 8px;

        .miam-list-input__container__row {
          flex: 1;
          display: flex;
          flex-direction: row;
          justify-content: space-between;
          align-items: center;
          gap: 8px;

          textarea {
            max-width: unset;
            padding: inherit;
          }

          .m-input{
            min-width:unset;
            max-width: unset;
            margin: unset;
          }

          .miam-list-input__row__left {
            display: flex;
            flex-direction: row;
            align-items: center;

            .miam-list-input__row__grip {
              cursor: move;
            }
            
            .m-input{
              width: 200px;
              margin-left: 8px;
              margin-right: 8px;
            }
          }

          .miam-list-input__row__right {
            display: flex;
            flex-direction: row;
            align-items: center;
            
            .m-input{
              text-align: right; 
              margin-right: 8px;
            }
          }
        }

        .miam-list-input__row__trash {
          cursor: pointer;
        }

        textarea{
          flex: 1;
          margin: 0;
          max-width: none;
          outline: none;
          resize: none;
          border-radius: var(--m-border-radius);
          padding: 5px;

          &.warnning{
            background-color: var(--m-color-secondary-light);
            color: var(--m-color-secondary);
          
          }

          &.error {
          background-color: var( --m-color-danger);
            color: var( --m-color-danger-text);
          }
        }

        textarea[cdktextareaautosize] {
          overflow: hidden;
        }
      }
    }
  }

  .hint {
    flex: 1;
    font-weight: 600;
    border-radius: var(--m-border-radius);
    font-size: 12px;
    padding-bottom: 10px;

    &.warnning{
      color: var(--m-color-secondary);
    }
    &.error {
      color: var( --m-color-danger);
    }
  }

  .miam-list-input__placeholder{

    justify-content: center;
    align-items: center;

    .miam-list-input__placeholder__hint{
      margin-top: 40px;
      text-align: center;
      color: var(--m-color-secondary);
      opacity: 0.5;
    }
  }

  .miam-list-input__actions {
    display: flex;
    justify-content: space-between; 
    column-gap: 32px;
  
    textarea {
      flex: 1;
      resize: none;
      // max-width: unset;
      outline: none;
      margin-top: 0;
    }

    .miam-list-input__actions__instructions {
      width: 400px;
      max-width: calc(98vw - 776px);
      padding: 8px;
      position: absolute;
      top: 315px;
      white-space: pre-line;
      color: var( --m-color-info-text);
      background-color: var(--m-color-info);
      border-radius: 8px;
    }

    button{
      height: fit-content;
    }
  }
  
}

.miam-list-input__row__preview {
  display: flex;
  align-items: center;
  width: 530px; 
  .miam-list-input__preview__text{
    padding: 5px;
  }
  span{
    &:first-of-type{
      flex: 1;
      flex-shrink: 1;
      margin-left: 8px;
    }
    &:nth-of-type(2n){
      margin-right: 8px;
    }
  }
 
}

.miam-list-input__row__placeholder {
  background:var(--m-color-grey07);
  min-height: 60px;
  border-radius: 8px;
  margin-right: 24px;
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}  

ul.cdk-drop-list-dragging li:not(.cdk-drag-placeholder) {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

.cdk-drag-animating {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}
